using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DOBRI_PRAVOUGAONICI
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, m;
            string s = Console.ReadLine();
            int p = s.IndexOf(" ");
            n = Convert.ToInt32(s.Substring(0, p));
            m = Convert.ToInt32(s.Substring(p + 1));
            string[,] a = new string[n, m];
            for (int i = 0; i < n; i++)
                for (int j = 0; j < m; j++)
                    a[i, j] = ".";
            for (int i = 0; i < Math.Min(n,m); i++)
            {
                a[i, i] = "C";
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < m; j++)
                    Console.Write(a[i, j]);
                Console.WriteLine();
            }
            Console.ReadLine();
        }
    }
}